<?xml version="1.0" encoding="utf-8"?>
<doc>
  <assembly>
    <name>Microsoft.Web.WebPages.OAuth</name>
  </assembly>
  <members>
    <member name="T:Microsoft.Web.WebPages.OAuth.AuthenticationClientData"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.AuthenticationClientData.#ctor(DotNetOpenAuth.AspNet.IAuthenticationClient,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"></member>
    <member name="P:Microsoft.Web.WebPages.OAuth.AuthenticationClientData.AuthenticationClient"></member>
    <member name="P:Microsoft.Web.WebPages.OAuth.AuthenticationClientData.DisplayName"></member>
    <member name="P:Microsoft.Web.WebPages.OAuth.AuthenticationClientData.ExtraData"></member>
    <member name="T:Microsoft.Web.WebPages.OAuth.OAuthAccount">
      <summary>Představuje účet OAuth nebo OpenID.</summary>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthAccount.#ctor(System.String,System.String)">
      <summary>Inicializuje novou instanci třídy <see cref="T:Microsoft.Web.WebPages.OAuth.OAuthAccount" />.</summary>
      <param name="provider">Název zprostředkovatele</param>
      <param name="providerUserId">Uživatelské ID zprostředkovatele</param>
    </member>
    <member name="P:Microsoft.Web.WebPages.OAuth.OAuthAccount.Provider">
      <summary>Získá jméno zprostředkovatele.</summary>
      <returns>Název zprostředkovatele</returns>
    </member>
    <member name="P:Microsoft.Web.WebPages.OAuth.OAuthAccount.ProviderUserId">
      <summary>Získá uživatelské ID zprostředkovatele.</summary>
      <returns>Uživatelské ID zprostředkovatele</returns>
    </member>
    <member name="T:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity">
      <summary>Spravuje zabezpečení, které využívá zprostředkovatele ověřování OAuth, jako je Facebook, Twitter, LinkedIn, Windows Live, a zprostředkovatele ověřování OpenID, jako je Google a Yahoo.</summary>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.CreateOrUpdateAccount(System.String,System.String,System.String)">
      <summary>Vytvoří nebo aktualizuje účet pomocí stanoveného zprostředkovatele a uživatelského ID pro ID zprostředkovatele a asociuje nový účet se stanoveným uživatelským jménem.</summary>
      <param name="providerName">Název zprostředkovatele</param>
      <param name="providerUserId">Uživatelské ID pro zadaného zprostředkovatele</param>
      <param name="userName">Jméno uživatele</param>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.DeleteAccount(System.String,System.String)">
      <summary>Odstraní zadaný členský účet.</summary>
      <returns>Má hodnotu true, pokud byl účet smazán, nebo hodnotu false, pokud nebyl.</returns>
      <param name="providerName">Název zprostředkovatele</param>
      <param name="providerUserId">Uživatelské ID pro zadaného zprostředkovatele</param>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.GetAccountsFromUserName(System.String)">
      <summary>Získá účet nebo účty, které jsou asociovány pomocí stanoveného uživatelského jména.</summary>
      <returns>Kolekce účtů</returns>
      <param name="userName">Uživatelské jméno</param>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.GetOAuthClientData(System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.GetUserName(System.String,System.String)">
      <summary>Vrátí uživatelské ID pro zadaného zprostředkovatele účtu OAuth nebo OpenID a uživatelské ID zprostředkovatele.</summary>
      <returns>Uživatelské ID nebo hodnota null, pokud neexistuje žádné uživatelské ID přiřazené uživatelskému ID zprostředkovatele účtu OAuth nebo Open ID.</returns>
      <param name="providerName">Název zprostředkovatele</param>
      <param name="providerUserId">Uživatelské ID pro zadaného zprostředkovatele</param>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.HasLocalAccount(System.Int32)"></member>
    <member name="P:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.IsAuthenticatedWithOAuth">
      <summary>Získá hodnotu udávající, zda byl uživatel ověřen pomocí metody OAuth.</summary>
      <returns>Má hodnotu true, pokud byl uživatel ověřen pomocí metody OAuth; jinak má hodnotu false.</returns>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.Login(System.String,System.String,System.Boolean)">
      <summary>Přihlásí uživatele.</summary>
      <returns>Má hodnotu true, pokud bylo přihlášení úspěšné, jinak má hodnotu false.</returns>
      <param name="providerName">Název zprostředkovatele</param>
      <param name="providerUserId">Uživatelské ID pro zadaného zprostředkovatele</param>
      <param name="createPersistentCookie">Má hodnotu true pro vytvoření trvalého souboru cookie, takže přihlašovací informace jsou uloženy pro všechny relace prohlížeče; jinak má hodnotu false.</param>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterClient(DotNetOpenAuth.AspNet.IAuthenticationClient)">
      <summary>Registruje klienta ověření OAuth.</summary>
      <param name="client">Jeden z podporovaných klientů OAuth</param>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterClient(DotNetOpenAuth.AspNet.IAuthenticationClient,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"></member>
    <member name="P:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisteredClientData"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterFacebookClient(System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterFacebookClient(System.String,System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterFacebookClient(System.String,System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterGoogleClient"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterGoogleClient(System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterGoogleClient(System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterLinkedInClient(System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterLinkedInClient(System.String,System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterLinkedInClient(System.String,System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterMicrosoftClient(System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterMicrosoftClient(System.String,System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterMicrosoftClient(System.String,System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterTwitterClient(System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterTwitterClient(System.String,System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterTwitterClient(System.String,System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterYahooClient"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterYahooClient(System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RegisterYahooClient(System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RequestAuthentication(System.String)">
      <summary>Žádá stanoveného zprostředkovatele, aby spustil ověřování přesměrováním uživatelů na externí webovou stránku.</summary>
      <param name="provider">Zprostředkovatel OAuth</param>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.RequestAuthentication(System.String,System.String)">
      <summary>Žádá stanoveného zprostředkovatele, aby spustil ověřování přesměrováním uživatelů na externí webovou stránku, a nařídí zprostředkovateli přesměrovat uživatele na stanovenou URL, když je ověření úspěšné.</summary>
      <param name="provider">Zprostředkovatel OAuth</param>
      <param name="returnUrl">URL pro návrat, když je ověření úspěšné</param>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.SerializeProviderUserId(System.String,System.String)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.TryDeserializeProviderUserId(System.String,System.String@,System.String@)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.TryGetOAuthClientData(System.String,Microsoft.Web.WebPages.OAuth.AuthenticationClientData@)"></member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.VerifyAuthentication">
      <summary>Vrátí hodnotu udávající, zda byl uživatelský účet potvrzen zprostředkovatelem.</summary>
      <returns>Instance <see cref="T:DotNetOpenAuth.AspNet.AuthenticationResult" />, na kterou můžete vznést dotaz pro stanovení toho, zda bylo ověření úspěšné.</returns>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.OAuthWebSecurity.VerifyAuthentication(System.String)"></member>
    <member name="T:Microsoft.Web.WebPages.OAuth.PreApplicationStartCode">
      <summary>Poskytuje registrační bod pro kód pro spuštění před aplikací pro zabezpečení na základě OAuth.</summary>
    </member>
    <member name="M:Microsoft.Web.WebPages.OAuth.PreApplicationStartCode.Start">
      <summary>Registruje kód pro spuštění před aplikací pro OAuth.</summary>
    </member>
  </members>
</doc>